=== debian/changelog ===
python-tornado4 (4.5.3-3build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:24:32 +0100

python-tornado4 (4.5.3-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:30:59 +0000

python-tornado4 (4.5.3-3) unstable; urgency=medium

  * d/control: Set tornado4 branch in Vcs-Git
  * d/watch: Limit upstream version to major 4
  * Use SOURCE_DATE_EPOCH for copyright year to make build reproducible
  * Bump Standards-Version to 4.3.0 (no changes)
  * d/patches/without-certifi.patch: Fix typo

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Jan 2019 17:11:23 +0100

python-tornado4 (4.5.3-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * Team upload.
  * Rename tornado to tornado4 to make it co-installable with tornado
    version 5. Version 4 is needed for salt.
  * Add patch to support Python 3.7.
  * Drop Python 2 support.
  * Skip four failing openssl 1.1.1 tests (for now). Reported to upstream:
    https://github.com/tornadoweb/tornado/issues/2536
  * Remove ancient X-Python3-Version field
  * Bump Standards-Version to 4.2.1 (no changes needed)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Regenerate test crt, newer OpenSSL require at least RSA 2048bit

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 18 Dec 2018 18:45:59 +0100

python-tornado (4.5.3-1) unstable; urgency=medium

  * New upstream release
  * Bump std-ver to 4.1.3 (no changes needed)
  * Push dh compat to 11
  * d/copyright: Bump my copyright year
  * Move docs and examples into /usr/share/python-tornado
  * Override wrong-section-according-to-package-name for python3-tornado too

 -- Ondřej Nový <onovy@debian.org>  Mon, 15 Jan 2018 14:02:11 +0100

python-tornado (4.5.2-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release.
  * Bump d/watch to version 4.
  * d/control: Remove Testsuite: autopkgtest, it's not needed

  [ Ondřej Nový ]
  * Bump std-ver to 4.1.1.

 -- Ondřej Nový <onovy@debian.org>  Tue, 31 Oct 2017 21:26:31 +0100

python-tornado (4.5.1-2) unstable; urgency=medium

  * Uploading to unstable

 -- Ondřej Nový <onovy@debian.org>  Tue, 20 Jun 2017 19:29:13 +0200

python-tornado (4.5.1-1) experimental; urgency=medium

  * New upstream release
  * d/copyright
    - Bump my copyright year
    - Adjust for new upstream release

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 May 2017 16:23:50 +0200

python-tornado (4.4.3-1) unstable; urgency=medium

  * New upstream bugfix release
  * No longer disable PIE during build

 -- Ondřej Nový <onovy@debian.org>  Thu, 13 Apr 2017 14:57:17 +0200

python-tornado (4.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Push dh compat to 10.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 07 Oct 2016 15:58:20 +0200

python-tornado (4.4.1-2) unstable; urgency=medium

  * Prevent internet access during build (Closes: #833351)
    - Use local objects.inv for intersphinx mapping
    - Skip domain resolving tests

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Aug 2016 15:20:50 +0200

python-tornado (4.4.1-1) unstable; urgency=medium

  * New upstream release (Closes: #830859)
  * Rearranged lintian overrides for new release
  * Added myself as uploader
  * Removed python-simplejson and python-multiprocessing from B-D/R,
    because Python < 2.6 is not supported anymore (Closes: #826455)
  * Moved python-mysqldb from Recommends to Suggests, it's only used in demo
  * Moved python{3,}-pycurl from Depends to Suggests, it's not strictly needed
    and added to B-D to run related unit tests
  * Added python-concurrent.futures to Build-Depends and Recommends
  * Added python{3,}-twisted to Build-Depends and Suggests
  * Added python{3,}-mock to Build-Depends
  * d/copyright: Added myself to Debian part
  * Package description changed to upstream (newer) version
  * Rearranged Debian tests Depends to Build-Depends
  * Run Py3 unit tests during build and enable verbose mode
  * Bumped required Python version to 2.7 and 3.3
  * Added python-tornado-doc package with docs and examples
  * Enabled all but PIE hardening
  * Generate upstream changelog file during build
  * Added python3-backports-abc to B-D for older Python 3

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Aug 2016 16:48:24 +0200

python-tornado (4.3.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload
  * Added Build-Depends to dh-python and python-setuptools
  * Added ${shlibs:Depends} and removed lintian override for libc
  * Lintian tag rename:
    privacy-breach-may-use-debian-package -> privacy-breach-uses-embedded-file

  [ Gianfranco Costamagna, Ondřej Nový ]
  * debian/patches/0007-Fix-testsuite-failure-when-sockets-is-not-defined.patch:
    fix testsuite when sockets is not defined.
    - https://github.com/tornadoweb/tornado/pull/1725

 -- Ondřej Nový <novy@ondrej.org>  Tue, 24 May 2016 11:25:26 +0200

python-tornado (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches (and dropped the Python 3.5 patch -- gone upstream).
  * Added dep on singledispatch and backports_abc.
  * Added lintian override for the facebook example (not a privacy breach)
  * Added lintian overrides for sample.xml compressed versions.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 21 May 2016 21:57:17 +0000

python-tornado (4.2.1-2) unstable; urgency=medium

  * Team upload.

  [ SVN-Git Migration ]
  * git-dpm config.
  * Update Vcs fields for git migration.

  [ Ondřej Nový ]
  * Fixed VCS URL (https).

  [ Mattia Rizzolo ]
  * Add a patch to skip failing test and fix ftbfs on hurd.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Bump debhelper compat level to 9.
  * Build using pybuild.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 28 Apr 2016 08:45:36 +0000

python-tornado (4.2.1-1) unstable; urgency=medium


